#ifndef FEEDDEVICESTATE_H
#define FEEDDEVICESTATE_H

namespace FeedDeviceState {

    enum State {
        Normal = 0,
        USBMassStorageMode = 1, // Use this value as a starting bound
        NoNetwork = 2, // Indicate for no network
        UnknownMode = 128,  // end of permanent errors. Use this as an ending bound
    };

    /*! Indicates what state of device has changed */

    enum Change {
        NetworkState =0,
        USBState,
    };

}


#endif // FEEDDEVICESTATE_H
