/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDSERVICESHARED_H
#define FEEDSERVICESHARED_H

namespace Feeds
{
    class RestrictedCreation
    {
    protected:
        RestrictedCreation(){}
        ~RestrictedCreation(){}

        friend class FeedServices;
    };

    namespace Engine
    {
        enum RefreshError
        {
            ChannelNotFound,
            ChannelDownloadFailed,

            MessageParseError,
        };

        enum EnclosureDownloadError
        {
            EnclosureNotFound
        };

    }
}

#endif // FEEDSERVICESHARED_H
