#ifndef FEEDTRANSFERPROPERTY_H
#define FEEDTRANSFERPROPERTY_H

//! FeedTransfer properties
class FeedTransferProperty
{
public:
     FeedTransferProperty();
    ~FeedTransferProperty();

    enum Property
    {
        TotalSize = 1,
        DownloadedSize,
        TotalTimeRemaining,
        Url,
        TrackerUri,
        ChannelUri,
        LocalUrl,
        Error,
        FeedTitle,
        EnclosureTitle,
        MediaIcon,
        MimeType,
        DeviceState,
        DownloadState,
        MultipleDownloads

        // Add additional fields here if necessary
    };

};


#endif // FEEDTRANSFERPROPERTY_H
