/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEED_DEBUG_H
#define FEED_DEBUG_H

#include <QtDebug>
#include "qstlogger.h"

#ifndef FEED_NO_DEBUG_MESSAGES
    #define FEED_DEBUG() qstLogDebug(Global) << "["<< __FILE__ << ", " << __PRETTY_FUNCTION__ <<"]: "
#else
    #define FEED_DEBUG() if (true); else qDebug()
#endif

#endif
